Package org.jcsp.lang

# Class ChannelDataRejectedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jcsp.lang.ChannelDataRejectedException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `PoisonException`

public class ChannelDataRejectedException extends RuntimeException
Thrown by a `read` or a `write` method of a channel when a reject has been called and the synchronization and data transfer will not complete.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ChannelDataRejectedException()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChannelDataRejectedException

public ChannelDataRejectedException()